## python-laspy 2.5.3

=== debian/changelog ===
python-laspy (2.5.3-1) unstable; urgency=medium

  * New upstream version 2.5.3
  * Update patches
    - Drop 0005-Remove-superfluous-tests-exclude-from-find_packages.patch
      (obsolete)

 -- Timo Röhling <roehling@debian.org>  Sun, 07 Jan 2024 21:18:39 +0100

python-laspy (2.5.2-1) unstable; urgency=medium

  * New upstream version 2.5.2
  * Refresh patches
    - Drop 0001-conftest.py-fixes.patch (merged upstream)
  * Run sphinx-build with default Python interpreter
  * Fix find_package() in setup.py

 -- Timo Röhling <roehling@debian.org>  Thu, 04 Jan 2024 23:01:09 +0100

python-laspy (2.5.1-3) unstable; urgency=medium

  * Fix big endian issues
  * Ignore test failures on i386 with gps_time fields

 -- Timo Röhling <roehling@debian.org>  Thu, 14 Sep 2023 21:04:12 +0200

python-laspy (2.5.1-2) unstable; urgency=medium

  * Source-only upload.

 -- Timo Röhling <roehling@debian.org>  Sat, 09 Sep 2023 15:56:26 +0200

python-laspy (2.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #1051430)

 -- Timo Röhling <roehling@debian.org>  Thu, 07 Sep 2023 23:17:54 +0200

## python-laspy 2.6.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = laspy
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-laspy 2.5.4

=== debian/changelog ===
python-laspy (2.5.4-1) unstable; urgency=medium

  * New upstream version 2.5.4
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 01 Jul 2024 16:06:42 +0200

=== debian/control ===
Source: python-laspy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pandoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-numpy,
 python3-setuptools,
 python3-pytest <!nocheck>,
 python3-pyproj <!nocheck>,
 python3-requests <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Homepage: https://github.com/laspy/laspy
Standards-Version: 4.6.2
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Vcs-Git: https://salsa.debian.org/python-team/packages/python-laspy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-laspy
Description: Library for working with LAS LiDAR files
 Laspy is a Python library for reading, modifying, and creating LAS LiDAR
 files. The ASPRS LAS format is a sequential binary file format used to store
 data from LiDAR sensors and by LiDAR processing software for data interchange
 and archival.

Package: python3-laspy
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This package installs the Python 3 module.

Package: python-laspy-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: ${source:Synopsis} (Documentation)
 ${source:Extended-Description}
 .
 This package installs the Sphinx documentation

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s%(?:.*?/)?v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,uversionmangle=s%[.-]?(a|b|c|rc|dev|pre)%~$1% \
 https://api.github.com/repos/laspy/laspy/tags \
 tarball/(?:[^"]*?/)?[a-z]*@ANY_VERSION@

## python-laspy 2.6.1

=== debian/changelog ===
python-laspy (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1
  * Refresh patches (no functional changes)
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Mon, 18 Aug 2025 09:50:02 +0200

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,14 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-numpy,
+ python3-pyproj <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-requests <!nocheck>,
  python3-setuptools,
- python3-pytest <!nocheck>,
- python3-pyproj <!nocheck>,
- python3-requests <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
 Homepage: https://github.com/laspy/laspy
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-laspy.git
@@ -51,5 +51,3 @@
  ${source:Extended-Description}
  .
  This package installs the Sphinx documentation
-
-

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = laspy

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	pandoc $(CURDIR)/CHANGELOG.md -o $(CURDIR)/CHANGELOG.rst
	PYTHONPATH=$(shell pybuild --print {build_dir} --interpreter python3) \
	python3 -m sphinx -b html docs $(CURDIR)/debian/python-laspy-doc/usr/share/doc/python-laspy-doc/html
	rm $(CURDIR)/debian/python-laspy-doc/usr/share/doc/python-laspy-doc/html/.nojekyll
endif

## python-laspy 2.7.0

=== debian/changelog ===
python-laspy (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0
  * Refresh patch (no functional changes)
  * Bump Standards-Version to 4.7.3
  * Switch to hatchling build system

 -- Timo Röhling <roehling@debian.org>  Sun, 18 Jan 2026 19:44:40 +0100

python-laspy (2.6.1-2) unstable; urgency=medium

  * Team upload.
  * debian/pybuild.testfiles: Remove blank line (closes: #1123260).

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Dec 2025 16:32:09 +0000

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
  python3-pyproj <!nocheck>,
  python3-pytest <!nocheck>,
  python3-requests <!nocheck>,
- python3-setuptools,
+ python3-hatchling,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
 Homepage: https://github.com/laspy/laspy
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-laspy.git
